import{select, arc} from 'd3';

const svg = d3.select('svg');



const height = +svg.attr('height');

const width = +svg.attr('width');


const g = svg.append('g')
  .attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
  .attr('r', height/2)
 
  .attr('fill', 'orange');

const eyeSpacing = 100;
const eyeYOffset = -50;
const eyeRadius = 35;
const eyebrowWidth =80;
const eyebrowHeight = 14;
const eyebrowYOffset = -70;


const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', - eyeSpacing);



const rightEye = eyesG.append('circle')
  .attr('r', eyeRadius)
  .attr('cx', eyeSpacing);

const eyebrowG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyesG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth/2)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyesG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth/2)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
  .transition().duration(2000)
    .attr('y', eyebrowYOffset -35)
  .transition().duration(2000)
    .attr('y', eyebrowYOffset);


const mouth = g
.append('path')
  .attr('d', arc()({
    innerRadius: 180,
    outerRadius: 150,
    startAngle: Math.PI/2 ,
    endAngle: Math.PI * 3 /2
  }));
